<div class="ui grid">
  <div class="one wide mobile two wide tablet three wide computer column"></div>
  <div class="fourteen wide mobile twelve wide tablet ten wide computer right aligned column">
    <app-title title="پرداخت وام"></app-title>
    <form class="ui form form--loan-add" [formGroup]="loanAddForm" [ngClass]="{ 'error': loanAddForm.invalid && loanAddForm.touched }" (ngSubmit)="onSubmit()" dir="rtl">
      <div class="fields">
        <!--total price-->
        <div class="four wide field">
          <label for="total-price">مبلغ</label>
          <input type="number" min="0" id="total-price" formControlName="total_price" tabindex="1">
          <!--errors-->
          <div class="ui error message" *ngIf="loanAddForm.controls.total_price.invalid && loanAddForm.controls.total_price.touched">
            <ul class="list">
              <li *ngIf="loanAddForm.controls.total_price.errors.required">
                نباید خالی باشد
              </li>
              <li *ngIf="loanAddForm.controls.total_price.errors.number">
                باید عدد باشد
              </li>
            </ul>
          </div>
        </div>
        <!--installments quantity-->
        <div class="two wide field">
          <label for="installments-qty">تعداد اقساط</label>
          <input type="number" min="0" id="installments-qty" formControlName="installments_qty" tabindex="2">
          <!--errors-->
          <div class="ui error message" *ngIf="loanAddForm.controls.installments_qty.invalid && loanAddForm.controls.installments_qty.touched">
            <ul class="list">
              <li *ngIf="loanAddForm.controls.installments_qty.errors.required">
                نباید خالی باشد
              </li>
              <li *ngIf="loanAddForm.controls.installments_qty.errors.number">
                باید عدد باشد
              </li>
            </ul>
          </div>
        </div>
        <!--cheque id-->
        <div class="four wide field">
          <label for="cheque-id">شماره چک</label>
          <input type="text" min="100000" id="cheque-id" formControlName="cheque_id" tabindex="3">
          <!--errors-->
          <div class="ui error message" *ngIf="loanAddForm.controls.cheque_id.invalid && loanAddForm.controls.cheque_id.touched">
            <ul class="list">
              <li *ngIf="loanAddForm.controls.cheque_id.errors.required">
                نباید خالی باشد
              </li>
              <li *ngIf="loanAddForm.controls.cheque_id.errors.minlength">
                تعداد ارقام غیرمجاز
              </li>
              <li *ngIf="loanAddForm.controls.cheque_id.errors.number">
                باید عدد باشد
              </li>
            </ul>
          </div>
        </div>
        <div class="six wide field">
          <!--customer-->
          <label for="customer">مشتری</label>
          <select class="form-control" formControlName="customer_id" id="customer" tabindex="4">
            <option class="item" *ngFor="let customer of customers" [value]="customer._id">{{ customer.name.first + ' ' + customer.name.last }}</option>
          </select>
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <div class="fields">
        <div class="five wide field">
          <label for="date">تاریخ پرداخت</label>
          <dp-date-picker
            tabindex="5"
            id="date"
            dir="rtl"
            formControlName="date"
            mode="day"
            theme="dp-material">
          </dp-date-picker>
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <div class="field form__button--submit">
        <button class="ui button green button--farsi" tabindex="6">
          ثبت
          <i class="check icon icon--submit"></i>
        </button>
      </div>
    </form>
  </div>
</div>
